Bug 117940 - multiple duplicate parameter names
multiple duplicate parameter names
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 04:05 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-15 07:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-03-10 04:05:12 EST
Description of problem:

I just tried to compile Fedora Core2 Test1 package kdevelop-3.0.0r1-0.1

The compiler said

1.

pcolorcombo.h(34): error: duplicate parameter name

The source code is

      PColorCombo(const PropertyEditor *editor, const QString name,
const QVariant value, QWidget *parent, const char *name = 0);

Both parameter 2 and parameter 5 have the same name.

Suggest rename one.

2.

pcombobox.h(34): error: duplicate parameter name
pcombobox.h(36): error: duplicate parameter name
pfontcombo.h(39): error: duplicate parameter name
pfontcombo.h(40): error: duplicate parameter name
plineedit.h(30): error: duplicate parameter name
plinestyle.h(34): error: duplicate parameter name
psymbolcombo.h(33): error: duplicate parameter name
pspinbox.h(30): error: duplicate parameter name
pspinbox.h(31): error: duplicate parameter name

Duplicates.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2004-04-15 07:43:24 EDT
it should be fixed in kdevelop-3.0.3-2 

Note You need to log in before you can comment on or make changes to this bug.